---
name: issuing-routes
description: Handle 32 OpenAPI operation(s) under /v1/issuing for the issuing route group.
---

# issuing API Routes

Handle 32 OpenAPI operation(s) under /v1/issuing for the issuing route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### get_issuing_authorizations

- Operation ID: `get_issuing_authorizations`
- Route: `GET /v1/issuing/authorizations`
- Mode: READ
- Summary: List all authorizations
- Parameters:
  - `card` in `query`
  - `cardholder` in `query`
  - `created` in `query`
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
  - `status` in `query`
- Body: JSON request body accepted.

### get_issuing_authorizations_authorization

- Operation ID: `get_issuing_authorizations_authorization`
- Route: `GET /v1/issuing/authorizations/{authorization}`
- Mode: READ
- Summary: Retrieve an authorization
- Parameters:
  - `authorization` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### post_issuing_authorizations_authorization

- Operation ID: `post_issuing_authorizations_authorization`
- Route: `POST /v1/issuing/authorizations/{authorization}`
- Mode: WRITE
- Summary: Update an authorization
- Parameters:
  - `authorization` in `path` required
- Body: JSON request body accepted.

### post_issuing_authorizations_authorization_approve

- Operation ID: `post_issuing_authorizations_authorization_approve`
- Route: `POST /v1/issuing/authorizations/{authorization}/approve`
- Mode: WRITE
- Summary: Approve an authorization
- Parameters:
  - `authorization` in `path` required
- Body: JSON request body accepted.

### post_issuing_authorizations_authorization_decline

- Operation ID: `post_issuing_authorizations_authorization_decline`
- Route: `POST /v1/issuing/authorizations/{authorization}/decline`
- Mode: WRITE
- Summary: Decline an authorization
- Parameters:
  - `authorization` in `path` required
- Body: JSON request body accepted.

### get_issuing_cardholders

- Operation ID: `get_issuing_cardholders`
- Route: `GET /v1/issuing/cardholders`
- Mode: READ
- Summary: List all cardholders
- Parameters:
  - `created` in `query`
  - `email` in `query`
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `phone_number` in `query`
  - `starting_after` in `query`
  - `status` in `query`
  - `type` in `query`
- Body: JSON request body accepted.

### post_issuing_cardholders

- Operation ID: `post_issuing_cardholders`
- Route: `POST /v1/issuing/cardholders`
- Mode: WRITE
- Summary: Create a cardholder
- Body: JSON request body accepted.

### get_issuing_cardholders_cardholder

- Operation ID: `get_issuing_cardholders_cardholder`
- Route: `GET /v1/issuing/cardholders/{cardholder}`
- Mode: READ
- Summary: Retrieve a cardholder
- Parameters:
  - `cardholder` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### post_issuing_cardholders_cardholder

- Operation ID: `post_issuing_cardholders_cardholder`
- Route: `POST /v1/issuing/cardholders/{cardholder}`
- Mode: WRITE
- Summary: Update a cardholder
- Parameters:
  - `cardholder` in `path` required
- Body: JSON request body accepted.

### get_issuing_cards

- Operation ID: `get_issuing_cards`
- Route: `GET /v1/issuing/cards`
- Mode: READ
- Summary: List all cards
- Parameters:
  - `cardholder` in `query`
  - `created` in `query`
  - `ending_before` in `query`
  - `exp_month` in `query`
  - `exp_year` in `query`
  - `expand` in `query`
  - `last4` in `query`
  - `limit` in `query`
  - `personalization_design` in `query`
  - `starting_after` in `query`
  - `status` in `query`
  - `type` in `query`
- Body: JSON request body accepted.

### post_issuing_cards

- Operation ID: `post_issuing_cards`
- Route: `POST /v1/issuing/cards`
- Mode: WRITE
- Summary: Create a card
- Body: JSON request body accepted.

### get_issuing_cards_card

- Operation ID: `get_issuing_cards_card`
- Route: `GET /v1/issuing/cards/{card}`
- Mode: READ
- Summary: Retrieve a card
- Parameters:
  - `card` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### post_issuing_cards_card

- Operation ID: `post_issuing_cards_card`
- Route: `POST /v1/issuing/cards/{card}`
- Mode: WRITE
- Summary: Update a card
- Parameters:
  - `card` in `path` required
- Body: JSON request body accepted.

### get_issuing_disputes

- Operation ID: `get_issuing_disputes`
- Route: `GET /v1/issuing/disputes`
- Mode: READ
- Summary: List all disputes
- Parameters:
  - `created` in `query`
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
  - `status` in `query`
  - `transaction` in `query`
- Body: JSON request body accepted.

### post_issuing_disputes

- Operation ID: `post_issuing_disputes`
- Route: `POST /v1/issuing/disputes`
- Mode: WRITE
- Summary: Create a dispute
- Body: JSON request body accepted.

### get_issuing_disputes_dispute

- Operation ID: `get_issuing_disputes_dispute`
- Route: `GET /v1/issuing/disputes/{dispute}`
- Mode: READ
- Summary: Retrieve a dispute
- Parameters:
  - `dispute` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### post_issuing_disputes_dispute

- Operation ID: `post_issuing_disputes_dispute`
- Route: `POST /v1/issuing/disputes/{dispute}`
- Mode: WRITE
- Summary: Update a dispute
- Parameters:
  - `dispute` in `path` required
- Body: JSON request body accepted.

### post_issuing_disputes_dispute_submit

- Operation ID: `post_issuing_disputes_dispute_submit`
- Route: `POST /v1/issuing/disputes/{dispute}/submit`
- Mode: WRITE
- Summary: Submit a dispute
- Parameters:
  - `dispute` in `path` required
- Body: JSON request body accepted.

### get_issuing_personalization_designs

- Operation ID: `get_issuing_personalization_designs`
- Route: `GET /v1/issuing/personalization_designs`
- Mode: READ
- Summary: List all personalization designs
- Parameters:
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `lookup_keys` in `query`
  - `preferences` in `query`
  - `starting_after` in `query`
  - `status` in `query`
- Body: JSON request body accepted.

### post_issuing_personalization_designs

- Operation ID: `post_issuing_personalization_designs`
- Route: `POST /v1/issuing/personalization_designs`
- Mode: WRITE
- Summary: Create a personalization design
- Body: JSON request body accepted.

### get_issuing_personalization_designs_personalization_design

- Operation ID: `get_issuing_personalization_designs_personalization_design`
- Route: `GET /v1/issuing/personalization_designs/{personalization_design}`
- Mode: READ
- Summary: Retrieve a personalization design
- Parameters:
  - `expand` in `query`
  - `personalization_design` in `path` required
- Body: JSON request body accepted.

### post_issuing_personalization_designs_personalization_design

- Operation ID: `post_issuing_personalization_designs_personalization_design`
- Route: `POST /v1/issuing/personalization_designs/{personalization_design}`
- Mode: WRITE
- Summary: Update a personalization design
- Parameters:
  - `personalization_design` in `path` required
- Body: JSON request body accepted.

### get_issuing_physical_bundles

- Operation ID: `get_issuing_physical_bundles`
- Route: `GET /v1/issuing/physical_bundles`
- Mode: READ
- Summary: List all physical bundles
- Parameters:
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
  - `status` in `query`
  - `type` in `query`
- Body: JSON request body accepted.

### get_issuing_physical_bundles_physical_bundle

- Operation ID: `get_issuing_physical_bundles_physical_bundle`
- Route: `GET /v1/issuing/physical_bundles/{physical_bundle}`
- Mode: READ
- Summary: Retrieve a physical bundle
- Parameters:
  - `expand` in `query`
  - `physical_bundle` in `path` required
- Body: JSON request body accepted.

### get_issuing_settlements_settlement

- Operation ID: `get_issuing_settlements_settlement`
- Route: `GET /v1/issuing/settlements/{settlement}`
- Mode: READ
- Summary: Retrieve a settlement
- Parameters:
  - `expand` in `query`
  - `settlement` in `path` required
- Body: JSON request body accepted.

### post_issuing_settlements_settlement

- Operation ID: `post_issuing_settlements_settlement`
- Route: `POST /v1/issuing/settlements/{settlement}`
- Mode: WRITE
- Summary: Update a settlement
- Parameters:
  - `settlement` in `path` required
- Body: JSON request body accepted.

### get_issuing_tokens

- Operation ID: `get_issuing_tokens`
- Route: `GET /v1/issuing/tokens`
- Mode: READ
- Summary: List all issuing tokens for card
- Parameters:
  - `card` in `query` required
  - `created` in `query`
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
  - `status` in `query`
- Body: JSON request body accepted.

### get_issuing_tokens_token

- Operation ID: `get_issuing_tokens_token`
- Route: `GET /v1/issuing/tokens/{token}`
- Mode: READ
- Summary: Retrieve an issuing token
- Parameters:
  - `expand` in `query`
  - `token` in `path` required
- Body: JSON request body accepted.

### post_issuing_tokens_token

- Operation ID: `post_issuing_tokens_token`
- Route: `POST /v1/issuing/tokens/{token}`
- Mode: WRITE
- Summary: Update a token status
- Parameters:
  - `token` in `path` required
- Body: JSON request body accepted.

### get_issuing_transactions

- Operation ID: `get_issuing_transactions`
- Route: `GET /v1/issuing/transactions`
- Mode: READ
- Summary: List all transactions
- Parameters:
  - `card` in `query`
  - `cardholder` in `query`
  - `created` in `query`
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
  - `type` in `query`
- Body: JSON request body accepted.

### get_issuing_transactions_transaction

- Operation ID: `get_issuing_transactions_transaction`
- Route: `GET /v1/issuing/transactions/{transaction}`
- Mode: READ
- Summary: Retrieve a transaction
- Parameters:
  - `expand` in `query`
  - `transaction` in `path` required
- Body: JSON request body accepted.

### post_issuing_transactions_transaction

- Operation ID: `post_issuing_transactions_transaction`
- Route: `POST /v1/issuing/transactions/{transaction}`
- Mode: WRITE
- Summary: Update a transaction
- Parameters:
  - `transaction` in `path` required
- Body: JSON request body accepted.
